## org.apache.cassandra.net
Class ProtocolHeader

    java.lang.Object
      org.apache.cassandra.net.ProtocolHeader

    public class ProtocolHeader

extends java.lang.Object

Field Summary
`static java.lang.String` `COMPRESSION`
`boolean` `isCompressed_`
`boolean` `isStreamingMode_`
`static java.lang.String` `SERIALIZER`
`int` `serializerType_`
`static java.lang.String` `VERSION`
`int` `version_`

Constructor Summary
`ProtocolHeader()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZER

    public static final java.lang.String SERIALIZER

See Also:
  Constant Field Values

### COMPRESSION

    public static final java.lang.String COMPRESSION

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### serializerType_

    public int serializerType_

### isCompressed_

    public boolean isCompressed_

### isStreamingMode_

    public boolean isStreamingMode_

### version_

    public int version_

Constructor Detail

### ProtocolHeader

    public ProtocolHeader()

Copyright © 2012 The Apache Software Foundation